gtkmm: Gtk::HandleBox Class Reference

gtkmm 3.3.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions
Gtk::HandleBox Class Reference
Widgets | Container Widgets

A widget for detachable window portions. More...

Inheritance diagram for Gtk::HandleBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~HandleBox ()
GtkHandleBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHandleBox* | gobj () const
| Provides access to the underlying C GtkObject.
| HandleBox ()
void | set_shadow_type (ShadowType type)
| Sets the type of shadow to be drawn around the border of the handle box.
ShadowType | get_shadow_type () const
| Gets the type of shadow drawn around the handle box.
void | set_handle_position (PositionType position)
| Sets the side of the handlebox where the handle is drawn.
PositionType | get_handle_position () const
| Gets the handle position of the handle box.
void | set_snap_edge (PositionType edge)
| Sets the snap edge of a handlebox.
PositionType | get_snap_edge () const
| Gets the edge used for determining reattachment of the handle box.
bool | is_child_detached () const
| Whether the handlebox's child is currently detached.
Glib::SignalProxy1< void, Widget* > | signal_child_attached ()
Glib::SignalProxy1< void, Widget* > | signal_child_detached ()
Glib::PropertyProxy< ShadowType > | property_shadow_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < ShadowType > | property_shadow_type () const
| Appearance of the shadow that surrounds the container.
Glib::PropertyProxy< PositionType > | property_handle_position ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < PositionType > | property_handle_position () const
| Position of the handle relative to the child widget.
Glib::PropertyProxy< PositionType > | property_snap_edge ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < PositionType > | property_snap_edge () const
| Side of the handlebox that's lined up with the docking point to dock the handlebox.
Glib::PropertyProxy< bool > | property_snap_edge_set ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_snap_edge_set () const
| Whether to use the value from the snap_edge property or a value derived from handle_position.
Glib::PropertyProxy_ReadOnly < bool > | property_child_detached () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
## Protected Member Functions
virtual void | on_child_attached (Widget* child)
| This is a default handler for the signal signal_child_attached().
virtual void | on_child_detached (Widget* child)
| This is a default handler for the signal signal_child_detached().
## Related Functions
(Note that these are not member functions.)
Gtk::HandleBox* | wrap (GtkHandleBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A widget for detachable window portions.

The Gtk::HandleBox widget allows a portion of a window to be "torn off". It displays its child and a handle that the user can drag to tear off a separate window (the float window) containing the child widget. A thin ghost is drawn in the original location of the handlebox. By dragging the separate window back to its original location, it can be reattached. When reattaching, the ghost and float window must be aligned along one of the edges, the snap edge. This can be specified by the application programmer explicitely, or GTK+ will pick a reasonable default based on the handle position. To make detaching and reattaching the handlebox as minimally confusing as possible to the user, it is important to set the snap edge so that the snap edge does not move when the handlebox is deattached. For instance, if the handlebox is packed at the bottom of a VBox, then when the handlebox is detached, the bottom edge of the handlebox's allocation will remain fixed as the height of the handlebox shrinks, so the snap edge should be set to GTK_POS_BOTTOM.

Deprecated:
  This is very specialized, lacks features to make it useful and most importantly does not fit well into modern application design. There is no replacement.

## Constructor & Destructor Documentation

virtual Gtk::HandleBox::~HandleBox | ( |  | ) | `[virtual]`

Gtk::HandleBox::HandleBox | ( |  | ) |

## Member Function Documentation

PositionType Gtk::HandleBox::get_handle_position | ( |  | ) | const

Gets the handle position of the handle box.

See set_handle_position().

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Returns:
  The current handle position.

ShadowType Gtk::HandleBox::get_shadow_type | ( |  | ) | const

Gets the type of shadow drawn around the handle box.

See set_shadow_type().

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Returns:
  The type of shadow currently drawn around the handle box.

PositionType Gtk::HandleBox::get_snap_edge | ( |  | ) | const

Gets the edge used for determining reattachment of the handle box.

See set_snap_edge().

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Returns:
  The edge used for determining reattachment, or (GtkPositionType)-1 if this is determined (as per default) from the handle position.

const GtkHandleBox* Gtk::HandleBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

GtkHandleBox* Gtk::HandleBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

bool Gtk::HandleBox::is_child_detached | ( |  | ) | const

Whether the handlebox's child is currently detached.

Since gtkmm 2.14:

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Returns:
  `true` if the child is currently detached, otherwise `false`.

virtual void Gtk::HandleBox::on_child_attached | ( | Widget* | child | ) | `[protected, virtual]`

This is a default handler for the signal signal_child_attached().

virtual void Gtk::HandleBox::on_child_detached | ( | Widget* | child | ) | `[protected, virtual]`

This is a default handler for the signal signal_child_detached().

Glib::PropertyProxy_ReadOnly< bool > Gtk::HandleBox::property_child_detached | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< PositionType > Gtk::HandleBox::property_handle_position | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< PositionType > Gtk::HandleBox::property_handle_position | ( |  | ) | const

Position of the handle relative to the child widget.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< ShadowType > Gtk::HandleBox::property_shadow_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< ShadowType > Gtk::HandleBox::property_shadow_type | ( |  | ) | const

Appearance of the shadow that surrounds the container.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< PositionType > Gtk::HandleBox::property_snap_edge | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< PositionType > Gtk::HandleBox::property_snap_edge | ( |  | ) | const

Side of the handlebox that's lined up with the docking point to dock the handlebox.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::HandleBox::property_snap_edge_set | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::HandleBox::property_snap_edge_set | ( |  | ) | const

Whether to use the value from the snap_edge property or a value derived from handle_position.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::HandleBox::set_handle_position | ( | PositionType | position | ) |

Sets the side of the handlebox where the handle is drawn.

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Parameters:

  position | The side of the handlebox where the handle should be drawn.

void Gtk::HandleBox::set_shadow_type | ( | ShadowType | type | ) |

Sets the type of shadow to be drawn around the border of the handle box.

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Parameters:

  type | The shadow type.

void Gtk::HandleBox::set_snap_edge | ( | PositionType | edge | ) |

Sets the snap edge of a handlebox.

The snap edge is the edge of the detached child that must be aligned with the corresponding edge of the "ghost" left behind when the child was detached to reattach the torn-off window. Usually, the snap edge should be chosen so that it stays in the same place on the screen when the handlebox is torn off.

If the snap edge is not set, then an appropriate value will be guessed from the handle position. If the handle position is Gtk::POS_RIGHT or Gtk::POS_LEFT, then the snap edge will be Gtk::POS_TOP, otherwise it will be Gtk::POS_LEFT.

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Parameters:

  edge | The snap edge, or -1 to unset the value; in which case GTK+ will try to guess an appropriate value in the future.

Glib::SignalProxy1< void,Widget* > Gtk::HandleBox::signal_child_attached | ( |  | ) |

Slot Prototype:
  `void on_my_child_attached(Widget* child)`

This signal is emitted when the contents of the handlebox are reattached to the main window.

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Parameters:

  widget | The child widget of the handlebox. (this argument provides no extra information and is here only for backwards-compatibility).

Glib::SignalProxy1< void,Widget* > Gtk::HandleBox::signal_child_detached | ( |  | ) |

Slot Prototype:
  `void on_my_child_detached(Widget* child)`

This signal is emitted when the contents of the handlebox are detached from the main window.

Deprecated: 3.4: Gtk::HandleBox has been deprecated.

Parameters:

  widget | The child widget of the handlebox. (this argument provides no extra information and is here only for backwards-compatibility).

## Friends And Related Function Documentation

Gtk::HandleBox* wrap | ( | GtkHandleBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/handlebox.h